aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/ud.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/shrc.d/ud.sh')
-rw-r--r--sh/shrc.d/ud.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/sh/shrc.d/ud.sh b/sh/shrc.d/ud.sh
index 0dfd858c..259f3167 100644
--- a/sh/shrc.d/ud.sh
+++ b/sh/shrc.d/ud.sh
@@ -32,10 +32,10 @@ ud() {
# Print the target
printf '%s\n' "$dirname"
+ )"
- # If the subshell failed, return from the function with the same exit
- # value
- )" || return
+ # If the subshell printed nothing, return with failure
+ [ -n "$1" ] || return
# Try to change into the determined directory
command cd -- "$@"